2001-06-06  Steve Youngs  <youngs@xemacs.org>

	* eicq-report.el (eicq-report-debug): New.
	(eicq-prepare-report): Use it.

2001-06-05  Steve Youngs  <youngs@xemacs.org>

	* eicq.el (eicq-version): Add optional arg so you can insert the
	version string at point.  Autoload it.
	(eicq-user-meta-web-aware): Type boolean.
	(eicq-user-meta-hide-ip): Ditto.
	(eicq-user-meta-authorization): Ditto.
	(eicq-log-info-mark): Ditto.
	(eicq-log-buddy-status-mark): Ditto.
	(eicq-log-buddy-message-mark): Ditto.
	(eicq-log-outgoing-mark): Ditto.
	(eicq-log-error-mark): Ditto.
	(eicq-log-debug-mark): Ditto.
	(eicq-log-system-mark): Ditto.
	(eicq-buddy-status-color-hint-flag): Ditto.

	Most user variables moved to take advantage of new bug-report
	code.

2001-06-03  Steve Youngs  <youngs@xemacs.org>

	* eicq.el (eicq-user-meta-birth-year): Format for this variable
	should be YY, update doc accordingly.

2001-05-31  Steve Youngs  <youngs@xemacs.org>

	* eicq.el (eicq-pack-keep-alive-1): Remove - obsolete.
	(eicq-pack-info-request): Ditto.
	(eicq-pack-info-ext-request): Ditto.
	(eicq-pack-update-info): Ditto.
	(eicq-pack-update-info-ext): Ditto.
	
2001-05-20  Steve Youngs  <youngs@xemacs.org>

	* Makefile (superupgrade): Make sure owner/group is set correctly
	in source tree.

	* eicq.texi: Finally started to write this.  Not finished yet,
	but maybe by the end of the weekend.

	* eicq.el (eicq-log-buddy-message): Switch to log buffer for smileys.
	(eicq-auto-away-timeout-set): Use a 2nd itimer so auto na works 
	properly.

	* etc/eicq/world: Updated.  Somehow it got overwritten with an old
	version of itself.

2001-05-07  Steve Youngs  <youngs@xemacs.org>

	* Makefile (superupgrade): New target for me only.

	* eicq.el (eicq-buddy-show-buffer): Remove "*** Contacts ***".
	(eicq-auto-away-timeout-set): Typo.
	(eicq-interface): New customize group.
	(eicq-hide-window): Add eicq-status-window.

2001-05-05  Steve Youngs  <youngs@xemacs.org>

	* eicq.el (eicq-status-show-buffer): Change name of buffer to "*Status*".

2001-05-02  Steve Youngs  <youngs@xemacs.org>

	* Makefile (AUTO_PRELOADS): New.

2001-04-28  Steve Youngs  <youngs@xemacs.org>

	* Version 0.2.13 released.

	* eicq.el (eicq-message-sound): Removed, put into alist.
	(eicq-chat-sound): Ditto.
	(eicq-url-sound): Ditto.
	(eicq-buddy-sound): Ditto.
	(eicq-auth-sound): Ditto.
	(eicq-emailx-sound): Ditto.
	(eicq-pager-sound): Ditto.
	(eicq-sound-alist): New.
	(eicq-use-sound-flag): New.
	(eicq-do-message-helper): Use 'eicq-sound-alist', 'eicq-use-sound-flag'.
	(eicq-do-online): Ditto.
	(eicq-log-buddy-message): Run 'smiley-buffer' and 'goto-address'.


2001-04-22  Steve Youngs  <youngs@xemacs.org>

	* eicq.el (eicq-buddy-show-buffer): Rename and rearrange status widgets.
	(eicq-status-window-height): New.
	(eicq-status-buffer): New.
	(eicq-status-show-buffer): New.
	(eicq-show-window): Show the status buffer as well.
	(eicq-disconnect): Kill the status buffer.
	(eicq-switch-to-buddy-buffer): New.

	* eicq-toolbar.el: Reduced the number of tools on the toolbar.

2001-04-21  Steve Youngs  <youngs@xemacs.org>

	* Version 0.2.12 released.

	* eicq-toolbar.el (eicq-toolbar-disconnect): Do 'eicq-logout' before
	'eicq-disconnect'.
	(eicq-buddy-toolbar): Remove.  Use the same toolbar for both the 
	buddy and log buffers.
	(eicq-install-buddy-toolbar): Use the log toolbar.

	* eicq.el (eicq-do-login-confirm): Run 'eicq-show-window'.
	(eicq-disconnect): Kill the Eicq buffers.
	(eicq-log-mode): Load both the log menu and the buddy menu.
	(eicq-buddy-mode): Ditto.

2001-04-01  Steve Youngs  <youngs@xemacs.org>

	* README: Added section about submitting patches.

2001-03-21  Steve Youngs  <youngs@xemacs.org>

	* eicq.el (eicq-log-next-unread): Make it interactive.
	(eicq-log-previous-unread): Ditto.

2001-03-19  Steve Youngs  <youngs@xemacs.org>

	* eicq.el (eicq-log-mode-map): 'n' & 'p' are now next and previous
	Unread messages.  'N' & 'P' are for next and previous message.  
	Mark unread has been moved to 'v'.
	(eicq-buddy-show-buffer): Add widgets for changing status via the 
	buddy buffer.

2001-03-18  Jack Twilley  <jmt@tbe.net>

	* eicq.el (eicq-log-next-unread): New.
	(eicq-log-previous-unread): New.

2001-03-12  Jack Twilley  <jmt@tbe.net>

	* eicq.el (eicq-user-auto-away-p): New variable.
	(eicq-auto-away-timeout-set): Use new variable, change docstring.
	Reordered away tests.   
	(eicq-send-message-helper): Use new variable.
	(eicq-change-status): Use new variable.
	(eicq-log-*-mark): New variables.
	(eicq-log-*): Use new variables.
	(eicq-log-buffer-position-flag): New variable.
	(eicq-log-entry-re): New variable.
	(eicq-log): Use new variables, change docstring.
	(eicq-buddy-update-status): Only display status packet if status
	has changed.

2001-03-09  Steve Youngs  <youngs@xemacs.org>

	* Version 0.2.11 released.

	* eicq.el (eicq-blurb): Update.
	(eicq-do-offline-message): Remove require 'timezone and move
	it to top of file.

	* eicq-report.el (eicq-prepare-report): New.
	(reporter-version): Remove.
	(vars): Ditto.
	(reporter-confirm-p): Ditto.
	(reporter-package-abbrev): Ditto.
	(eicq-report-other-vars): Ditto.
	(eicq-report-avoid-vars): Ditto.
	(eicq-report-get-versions): Ditto.
	(eicq-report-get-user-vars): Ditto.
	(eicq-gnus-submit-report): Ditto.
	(eicq-report-bug): Don't use reporter.el.

	* eicq-toolbar.el (eicq-icon-directory): Make it customizable.

2001-03-06  Steve Youngs  <youngs@xemacs.org>

	* eicq.el: (eicq-delete-offline-messages-flag): Change default to 'ask.

2001-03-06  Steve Youngs  <youngs@xemacs.org>

	* Version 0.2.10 released.

	* eicq.el: Re-arrange variables and constants for a clean build.
	(eicq-version): Increment.
	(eicq-bridge-filename): Change default to /usr/local/bin/udp2tcp
	(eicq-browse-homepage): Autoload it.

	* eicq-user-install.sh (RCFILE): Change default to
	/usr/local/lib/xemacs/site-packages/etc/eicq/world.

	* eicq-report.el: Update doc strings.

	* eicq-toolbar.el: Ditto.
	(eicq-icon-directory): Change default to
	/usr/local/lib/xemacs/site-packages/etc/eicq/

	* infohack: New file.

	* README: Update URL.

	* INSTALL: Updated to reflect not being an XEmacs Package.

	* Makefile: Complete re-write to use standard 'make', 'make install'.

2001-03-02  Steve Youngs  <youngs@xemacs.org>

	* Makefile: Re-shuffle the order of the variables so everything
	gets installed properly.  This supercedes the change I made earlier.

	* INSTALL: Update.

	* NEWS: Ditto.

	* TODO: Ditto.

	* Makefile (ELCS): Add eicq-report.elc.
	(include ../../XEmacs.rules): Move to below other variables so
	everything gets installed properly.

	* eicq-toolbar.el: Add require 'eicq.

2001-03-01  Steve Youngs  <youngs@xemacs.org>

	* Makefile (REQUIRES): Add eicq, gnus.

	* eicq.el (eicq-blurb): New
	(eval-when-compile): Remove require 'eicq-report.

	* udp2tcp.cc (main): Update URL.

2001-02-28  Ben Wing  <ben@xemacs.org>

	* udp2tcp.cc (main): Conditionalize change to third arg to accept
	on __CYGWIN__, so that all other systems keep size_t -- simply
	changing the arg makes this not compile under Linux.

2001-02-24  Ben Wing  <ben@xemacs.org>

	* Makefile (STRIP):
	* Makefile (EXTRA_SOURCES):
	* Makefile (EXTRA_OBJS):
	Fix udp2tcp compilation to work under MS Windows.
	
	* udp2tcp.cc (main):
	Emergency fixes so it compiles. (change bzero to memset; fix type
	of third arg to accept)

2001-03-01  Steve Youngs  <youngs@xemacs.org>

	* eicq.el (eicq-main-menu): Capitalise entries.
	(eicq-log-menu): Ditto.

2001-02-21  Steve Youngs  <youngs@xemacs.org>

	* eicq.el: Update all doc strings.
	(eicq-email-author): Move to eicq-report.el

	* eicq-report.el: New file.

2001-01-25  Steve Youngs  <youngs@xemacs.org>

	* version 0.2.8 released - XEmacs package 1.03

	* eicq.el (eicq-buddy-view): Remove :set 'eicq-buddy-view-set.
	(eicq-version): Increment.

	* eicq.texi (VERSION): Ditto.

2000-11-27  Steve Youngs  <youngs@xemacs.org>

	* Makefile (CFLAGS): Add -static so people that use a different
	compiler to me wont have problems.

2000-11-14  Steve Youngs  <youngs@xemacs.org>

	* eicq.el: Doc fix.

2000-10-23  Steve Youngs  <youngs@xemacs.org>

	* version 0.2.7 released - XEmacs package 1.02

	* *: Update my email address.

2000-10-05  Martin Buchholz  <martin@xemacs.org>

	* *: Mega typo fix.

2000-08-22  Steve Youngs  <youngs@xemacs.org>

	* Makefile (EXTRA_OBJS): New variable.

2000-08-16  Steve Youngs  <youngs@xemacs.org>

	* version 0.2.6 released - XEmacs package 1.01

	* etc/world: added info about adding your own UIN

	* INSTALL: ditto

	* INSTALL: fixed typo

2000-08-15  Steve Youngs  <youngs@xemacs.org>

	* verion 0.2.5 released - XEmacs package 1.00

	* package-info-in: changed description

2000-07-18  Steve Youngs  <youngs@xemacs.org>

	* eicq.texi: new file

	* INSTALL: total re-write for XEmacs packages

	* package-info.in: new file

	* eicq-toolbar.el: updated license

	* eicq.el: updated license

	* Makefile: total re-write for XEmacs packages

2000-06-26  Steve Youngs  <youngs@xemacs.org>

	* README: moved install stuff to INSTALL

	* INSTALL: new file

	* world: my UIN was wrong :-(  fixed

2000-06-07  Steve Youngs  <youngs@xemacs.org>

	* version 0.2.4 released

	* README: updated install instructions

2000-06-06  Steve Youngs  <youngs@xemacs.org>

	* eicq.el (eicq-buddy-mode-hook): add-hook 
	eicq-install-buddy-toolbar
	(eicq-log-mode-hook): add-hook eicq-install-log-toolbar
	(eicq-email-author): change address

	* Makefile: updated for a more "system-wide" install

	* eicq-user-install.sh: New file

	* eicq-toolbar.el: New file

2000-06-05  Steve Youngs  <youngs@xemacs.org>

	* eicq.el (eicq-do-message-helper): added new sounds
	(eicq-do-message-helper): pager now decodes message
	(eicq-auth-sound): New variable
	(eicq-emailx-sound): New variable
	(eicq-pager-sound): New variable
	(eicq-global-map-set): new key bindings added to eicq-buddy-map 
	and eicq-log-map 

2000-06-01  Steve Youngs  <youngs@xemacs.org>

	* eicq.el (eicq-main-menu): "Update Meta Info" pointed to
	the wrong place.  Now points to eicq-update-meta-info

2000-05-30  Steve Youngs  <youngs@xemacs.org>

	* version 0.2.3 released

2000-05-13  Steve Youngs  <youngs@xemacs.org>

	* eicq.el
	(eicq-sound): New customization group
	(eicq-sound-directory): New variable
	(eicq-message-sound): New variable
	(eicq-chat-sound): New variable
	(eicq-url-sound): New variable
	(eicq-buddy-sound): New variable

1999-08-12  Stephen Tse  <stephent@sfu.ca>

	* version 0.2.2 released

	* eicq.el
	(eicq-world-update): extent for alias (from Erik)
	(eicq-log-buddy-url): new function, extent for url (from Erik)	
	(eicq-url-map): new variable
	(eicq-alias-map): new variable
	(eicq-send-message-via-mouse): new function
	(eicq-send-message-alias-here-via-mouse): removed
	(world-mode): new mode and world-* helper
	(world-find): new function
	(world-sort): new function
	(eicq-change-user): new function
	(eicq-buddy-view-connected): update eicq-buddy-view
	(eicq-status-bin): zero-padded
	(eicq-bridge-buffer): store buffer id instead of name
	(eicq-hide-window): new function
	(eicq-email-author): carbon-copy to mailing list

	* world: add sample records	

1999-07-10  Stephen Tse  <stephent@sfu.ca>

	* version 0.2.1 released.

	* eicq.el
 	(eicq-do-kicked-out): remove relogin
	(eicq-log-around): fixed to include first line
	(eicq-do-message-helper): display authorization message
	(eicq-bridge-mode): fixed kill-buffer-query-functions

1999-06-29  Stephen Tse  <stephent@sfu.ca>

	* version 0.2.0 released.
	- ICQ version 5 protocol
	- outgoing delay queue and resent queue
	- meta user info query and update

	* eicq.el
	(eicq-log-mark-*): mark all log in a region
	(eicq-keep-alive-stop): use start-itimer
	(eicq-pack-contact-list): use smaller packet
	(eicq-do-message-helper): receive contact list transfer
	(eicq-register-new-user): new function
	(eicq-do-info-ext): fixed age bug
	(eicq-world-update): RC file not closed if current or modified
	(eicq-auto-away-timeout-set): added auto-na
	(eicq-bin-alias): optional from
	(eicq-alias-around): cleaned up
	(eicq-log-around): new function
	(eicq-send-message): encode only outgoing part
	(eicq-forward-message-around): new function
	(eicq-change-status): allow only valid statues
	(eicq-logout): clear buddy buffer when offline
	(eicq-change-status): change only if different
	(eicq-valid-packet-p): integrated into eicq-do
	(eicq-ack-alist): removed
	(eicq-ack): integrated into eicq-do
	(eicq-pack-login): fixed initial status
	(eicq-relogin): fixed relogin initial status
	(eicq-query-info): skip nil local info
	
	- more debugging and profiling counters
	eicq-dropped-packet-counter
	eicq-resend-packet-counter
	eicq-auto-relogin-counter

	* README: split into readme.developer
	* README.developer: new
	* udp2tcp.cc: protocol version 5

1999-06-16  Stephen Tse  <stephent@sfu.ca>

	* version 0.1.3 released.

	* eicq.el
	(eicq-spliter): new function
	(eicq-send-message): send long messages
	(eicq-do-info): fixed authorization check
	(eicq-pack-update-info): new function
	(eicq-do-search-end): new function
	(eicq-auto-na-timeout-set): new function
	(eicq-current-seq-num): follow micq, start from 0 instead of 1
	(eicq-do-kicked-out): graceful relogin
	(eicq-login): login only when offline
	(eicq-buddy-getf): new function
	(eicq-buddy-putf): new function
	(eicq-int-byte): new function
	(eicq-network-separator): eicq-trimmed-packet
	(eicq-pack-contact-list): fixed random uin
	(eicq-network-filter): fixed bug in checking validity of packets
	(eicq-do-message-hook): new variable
	(eicq-do-status-update-hook): new variable
	(eicq-hex-bin): downcase uppercase
	(eicq-process-alias-input): new function

	: select
	(eicq-group-select-aliases)
	(eicq-select-alias-around)
	(eicq-buddy-select-all-in-view)
	(eicq-buddy-select-all-in-view-by-status)
	(eicq-buddy-select-all-in-view-by-regexp)
	(eicq-buddy-selected-in-view)
	(eicq-select-alias-here)

	: use length prefix instead of delimiting magic string
	- (eicq-redo-hex)
	- (eicq-network-filter)
	- (eicq-network-separator)
	- (eicq-send)
	- (eicq-magic-string)

	* README
	: updated for new resource file
	: fixed wrong assumption about eicq-pack-contact-list

	* udp2tcp.cc (debug_socket):
	: use length prefix instead of delimiting magic string
	: remove usleep	

1999-06-01  Stephen Tse  <stephent@sfu.ca>
	
	* version 0.1.2 released.

	* eicq.el:
	- add `encode/decode-coding-string'

1999-05-22  Stephen Tse  <stephent@sfu.ca>

	* eicq.el: 
	(eicq-send-contact-list): make interactive
	(eicq-main-menu): add "Resend contact list"

1999-05-18  Stephen Tse  <stephent@sfu.ca>

	* Makefile: brand new from Erik Arneson <erik@mind.net>	

	* README:
	- change installation steps for new Makefile
	- mention mailing list and `eicq-log-new-file' in tips

	* eicq.el: merge patches from Erik Arneson <erik@mind.net>
	- add confirmation for sending blank message/url
	- `eicq-send-message-alias-here-via-mouse'
	- `browse-url-at-point' and other key bindings

	* eicq.el (eicq-message-types): one byte instead of two

1999-05-12  Stephen Tse  <stephent@sfu.ca>

	* version 0.1.1 released.

1999-05-12  Stephen Tse  <stephent@sfu.ca>

	* version 0.1 released.
	
